@import "@/styles/variables";

.inteligence-wrapper {
    position: relative;
    width: 100%;

    .embedcontainer {
        width: calc(100vw - 2rem);
        max-width: 100%;
        height: calc(90vh - 120px);
        max-height: calc(95vh - 120px);
        aspect-ratio: 16 / 9;

        @include smallscreen {
            width: 100%;
            max-width: calc(100vw - 2rem);
            height: calc(90vh - 136px);
        }

        @include notebook {
            height: calc(100vh - 80px);
            max-height: unset;
        }

        iframe {
            border: none;
        }
    }

    .screen-button {
        display: none;

        @include tablet {
            position: absolute;
            top: 0.25rem;
            right: 0.25rem;
            border-radius: 2px;
            background-color: white;
            border: 1px #eee solid;
            display: flex;
            align-items: center;
            justify-content: center;
            width: 1.25rem;
            height: 1.25rem;
            transition: all 0.2s ease-in-out;
            box-shadow: 0.2rem 0.5rem 5rem $gray-600;
            z-index: 55;

            &-left {
                left: 0.3rem;
            }

            &:hover {
                background-color: rgb(233 233 233);
            }
        }
    }
}
